package domain

type AlibabaWdkMarketingItemdiscountQueryactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   特价活动信息     */
	Data *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity `json:"data,omitempty" `

	/*
	   是否参加后单压前单，默认不参加     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult) SetData(v AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItemdiscountQueryactivityMarketResult {
	s.Success = &v
	return s
}
